##
##  squidguard.conf -- SquidGuard Configuration
##

#   run-time paths
dbhome  @l_prefix@/var/squidguard/db
logdir  @l_prefix@/var/squidguard/log

#   workhours definition
time workhours {
    weekly mtwhf 08:00-17:00
}

#   source of privileged clients
src any {
    ip     0.0.0.0/0
}
src privileged {
    ip     10.0.0.1
    ip     10.0.0.2
}

#   destination whitelist
dest white {
    domainlist whitelists/local/domains
    urllist    whitelists/local/urls
}

#   destination blacklists (according to content type)
dest ads {
    domainlist blacklists/ads/domains
    urllist    blacklists/ads/urls
}
dest aggressive {
    domainlist blacklists/aggressive/domains
    urllist    blacklists/aggressive/urls
}
dest audio-video {
    domainlist blacklists/audio-video/domains
    urllist    blacklists/audio-video/urls
}
dest drugs {
    domainlist blacklists/drugs/domains
    urllist    blacklists/drugs/urls
}
dest gambling {
    domainlist blacklists/gambling/domains
    urllist    blacklists/gambling/urls
}
dest hacking {
    domainlist blacklists/hacking/domains
    urllist    blacklists/hacking/urls
}
dest porn {
    domainlist blacklists/porn/domains
    urllist    blacklists/porn/urls
}
dest proxy {
    domainlist blacklists/proxy/domains
    urllist    blacklists/proxy/urls
}
dest redirector {
    domainlist blacklists/redirector/domains
    urllist    blacklists/redirector/urls
}
dest violence {
    domainlist blacklists/violence/domains
    urllist    blacklists/violence/urls
}
dest warez {
    domainlist blacklists/warez/domains
    urllist    blacklists/warez/urls
}
dest mail {
    domainlist blacklists/mail/domains
}
dest spyware {
    domainlist blacklists/spyware/domains
    urllist    blacklists/spyware/urls
}
dest suspect {
    domainlist blacklists/suspect/domains
    urllist    blacklists/suspect/urls
}

#   access control list
acl {
    privileged {
        pass     all
    }
    any outside workhours {
        pass     all
    }
    default {
        pass     white !porn !drugs !warez !spyware all
        redirect http://proxy/blocked?clientaddr=%a+clientname=%n+clientuser=%i+clientgroup=%s+targetgroup=%t+url=%u
    }
}

